---
title: std::hash< llarp::AlignedBuffer< sz > >

---

# std::hash< llarp::AlignedBuffer< sz > >



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::size_t | **[operator()](Classes/structstd_1_1hash_3_01llarp_1_1AlignedBuffer_3_01sz_01_4_01_4.md#function-operator())**(const [llarp::AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md)< sz > & buf) const |

## Detailed Description

```cpp
template <size_t sz>
struct std::hash< llarp::AlignedBuffer< sz > >;
```

## Public Functions Documentation

### function operator()

```cpp
inline std::size_t operator()(
    const llarp::AlignedBuffer< sz > & buf
) const
```


-------------------------------

Updated on 2023-03-26 at 04:03:13 +0000